// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

//
// If desired to use the min or max methods of numeric_limits
// then the macro below must be active to prevent the minwindef.h
// max and min two argument macros from generating errors:
//    warning C4003: not enough arguments for function-like macro invocation 'max'
//    error C2589: '(': illegal token on right side of '::'
//    error C2062: type 'unknown-type' unexpected
//    error C2059: syntax error: ')'
// 
#define NOMINMAX 1
#define _AFXDLL
#define _WIN32_WINNT _WIN32_WINNT_MAXVER
#include <afxdb.h>


#include "targetver.h"


#include <tchar.h>
// compile with: /EHsc
//
// Modify the include directory path to pull this in per:
// https://msdn.microsoft.com/en-us/library/8etzzkb6.aspx?f=255&MSPPError=-2147217396
//
// For Win32, add this to the Additional Include Directories:
// $(ProgramFiles)\Common Files\System\ado;$(ProgramFiles)\Windows Kits\8.1\Include\um;$(OutDir)
// 
// For x64, add this to the Additional Include Directories:
// $(ProgramW6432)\Common Files\System\ado;$(ProgramFiles)\Windows Kits\8.1\Include\um;$(OutDir)
//
// Note that the compiler creates the msado15.tlh and msado15.tli files and places them in the $(OutDir)
//
// IMPORTANT: The x64 version of msado15.dll is located in C:\Program Files\Common Files\System\ado
//
// To have the compiler generate the two header files called msado15.tlh and msado15.tli, uncomment the next line.
// #import "msado15.dll" no_namespace rename("EOF", "EndOfFile")


